# EHDC Class Reference

`#include <EHDC.hxx>`

## Public Member Functions

| EHDC (HDC, PSIZE)
| EHDC ()
| ~EHDC ()
void | SetDC (HDC, PSIZE)
HDC | Hdc (void)
HBRUSH | SelectEPen (DWORD, CONST LOGBRUSH *, DWORD, DWORD *, BOOL=FALSE)
void | SelectEPen (DWORD, CONST LOGBRUSH *)
HPEN | SelectEPen (HPEN)
void | SelectEBrush (PLOGBRUSH, PLOGBRUSH=NULL)
int | SetPolyFillMode (int aMode)
BOOL | Miter (void)
void | SetMiter (BOOL)
void | Extent (PSIZE psz)
void | MoveToEx (int, int, LPPOINT)
BOOL | LineTo (int, int)
void | ClosePath (void)
void | Polyline (CONST POINT *, int, BOOL=FALSE)
void | Polygon (CONST POINT *, int, DWORD=0)
void | Arc (int, int, int, int, double=0.0, double=6.283185, DWORD=0)
void | Polyarc (int, int, int, int, double=0.0, double=6.283185, BOOL=TRUE)
void | SetPixel (int, int, COLORREF)
void | SetTextColor (COLORREF)
void | SetTextAttrib (COLORREF, HFONT, double=0.0, double=1.0, double=1.0)
void | ETextOut (int, int, char *, double=0.0, BOOL=FALSE)
void | ETextOut (int, int, wchar_t *, double=0.0, BOOL=FALSE)
void | PolyTextOut (int, int, char *, double=0.0, double=0.1, BOOL=FALSE, BOOL=FALSE, BOOL=FALSE)
void | PolyTextOut (int, int, wchar_t *, double=0.0, double=0.1, BOOL=FALSE, BOOL=FALSE, BOOL=FALSE)
void | SetWorldTransform (XFORM *)
void | ModifyWorldTransform (XFORM *, DWORD)
void | GetWorldTransform (XFORM *xf)
void | Transform (LPPOINT, int)
void | ResetURect (void)
void | SetURect (LPRECT lpRect)
void | GetURect (LPRECT)
void | Register (LPPOINT, int)

## Protected Member Functions

void | _Init (void)
void | _DrawTo (PPOINT)
void | _Join (void)
BOOL | _DrawToEx (PPOINT)
void | _LineTo (PPOINT)
void | _ETextOut (int, int, void *, double=0.0, BOOL=FALSE, BOOL=FALSE)
void | _PolyTextOut (int, int, void *, double=0.0, double=0.1, BOOL=FALSE, BOOL=FALSE, BOOL=FALSE, BOOL=FALSE)

## Protected Attributes

HDC | myHDC
POINT | myStart
POINT | myClose
POINT | myA
POINT | myB
POINT | myJoin
POINT | myCJoin
XFORM | myXform
DWORD | myFlags
PPOINT | myTextPath
PBYTE | myTextType
DWORD | myTextNP
DWORD | myTextBS
HPEN | myTextPen
HBRUSH | myTextBrush
HFONT | myTextFont
double | myTextSlant
double | myTextHScale
double | myTextVScale
DWORD | myPWidth
DWORD | myPWPush
HPEN | myPPen
HPEN | myPPenPush
HBRUSH | myPBrush
HBRUSH | myPBrushPush
BOOL | myfXpenPush
PDWORD | myPStyle
DWORD | myPNS
DWORD | myPBS
DWORD | myPIndex
DWORD | myPRlen
RECT | myURect
HBRUSH | myBrush
HBRUSH | myBrushPush
HBRUSH | myOBrush
SIZE | mySize
PPOINT | myDDA1
PPOINT | myDDA2
DWORD | myNDDA
DWORD | myIDDA

## Friends

VOID CALLBACK | ___auxDDAF (int, int, LPARAM)

## Constructor & Destructor Documentation

EHDC::EHDC | ( | HDC | ,
|  | PSIZE |
| ) |

EHDC::EHDC | ( |  | ) |

EHDC::~EHDC | ( |  | ) |

## Member Function Documentation

void EHDC::_DrawTo | ( | PPOINT |  | ) | `[protected]`

BOOL EHDC::_DrawToEx | ( | PPOINT |  | ) | `[protected]`

void EHDC::_ETextOut | ( | int | ,
|  | int | ,
|  | void * | ,
|  | double | = `0.0`,
|  | BOOL | = `FALSE`,
|  | BOOL | = `FALSE`
| ) | `[protected]`

void EHDC::_Init | ( | void |  | ) | `[protected]`

void EHDC::_Join | ( | void |  | ) | `[protected]`

void EHDC::_LineTo | ( | PPOINT |  | ) | `[protected]`

void EHDC::_PolyTextOut | ( | int | ,
|  | int | ,
|  | void * | ,
|  | double | = `0.0`,
|  | double | = `0.1`,
|  | BOOL | = `FALSE`,
|  | BOOL | = `FALSE`,
|  | BOOL | = `FALSE`,
|  | BOOL | = `FALSE`
| ) | `[protected]`

void EHDC::Arc | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | double | = `0.0`,
|  | double | = `6.283185`,
|  | DWORD | = `0`
| ) |

void EHDC::ClosePath | ( | void |  | ) |

void EHDC::ETextOut | ( | int | ,
|  | int | ,
|  | wchar_t * | ,
|  | double | = `0.0`,
|  | BOOL | = `FALSE`
| ) |

void EHDC::ETextOut | ( | int | ,
|  | int | ,
|  | char * | ,
|  | double | = `0.0`,
|  | BOOL | = `FALSE`
| ) |

void EHDC::Extent | ( | PSIZE | psz | ) | `[inline]`

void EHDC::GetURect | ( | LPRECT |  | ) |

void EHDC::GetWorldTransform | ( | XFORM * | xf | ) | `[inline]`

HDC EHDC::Hdc | ( | void |  | ) | `[inline]`

BOOL EHDC::LineTo | ( | int | ,
|  | int |
| ) |

BOOL EHDC::Miter | ( | void |  | ) | `[inline]`

void EHDC::ModifyWorldTransform | ( | XFORM * | ,
|  | DWORD |
| ) |

void EHDC::MoveToEx | ( | int | ,
|  | int | ,
|  | LPPOINT |
| ) |

void EHDC::Polyarc | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | double | = `0.0`,
|  | double | = `6.283185`,
|  | BOOL | = `TRUE`
| ) |

void EHDC::Polygon | ( | CONST POINT * | ,
|  | int | ,
|  | DWORD | = `0`
| ) |

void EHDC::Polyline | ( | CONST POINT * | ,
|  | int | ,
|  | BOOL | = `FALSE`
| ) |

void EHDC::PolyTextOut | ( | int | ,
|  | int | ,
|  | wchar_t * | ,
|  | double | = `0.0`,
|  | double | = `0.1`,
|  | BOOL | = `FALSE`,
|  | BOOL | = `FALSE`,
|  | BOOL | = `FALSE`
| ) |

void EHDC::PolyTextOut | ( | int | ,
|  | int | ,
|  | char * | ,
|  | double | = `0.0`,
|  | double | = `0.1`,
|  | BOOL | = `FALSE`,
|  | BOOL | = `FALSE`,
|  | BOOL | = `FALSE`
| ) |

void EHDC::Register | ( | LPPOINT | ,
|  | int |
| ) |

void EHDC::ResetURect | ( | void |  | ) |

void EHDC::SelectEBrush | ( | PLOGBRUSH | ,
|  | PLOGBRUSH | = `NULL`
| ) |

HPEN EHDC::SelectEPen | ( | HPEN |  | ) |

void EHDC::SelectEPen | ( | DWORD | ,
|  | CONST LOGBRUSH * |
| ) |

HBRUSH EHDC::SelectEPen | ( | DWORD | ,
|  | CONST LOGBRUSH * | ,
|  | DWORD | ,
|  | DWORD * | ,
|  | BOOL | = `FALSE`
| ) |

void EHDC::SetDC | ( | HDC | ,
|  | PSIZE |
| ) |

void EHDC::SetMiter | ( | BOOL |  | ) |

void EHDC::SetPixel | ( | int | ,
|  | int | ,
|  | COLORREF |
| ) |

int EHDC::SetPolyFillMode | ( | int | aMode | ) | `[inline]`

void EHDC::SetTextAttrib | ( | COLORREF | ,
|  | HFONT | ,
|  | double | = `0.0`,
|  | double | = `1.0`,
|  | double | = `1.0`
| ) |

void EHDC::SetTextColor | ( | COLORREF |  | ) |

void EHDC::SetURect | ( | LPRECT | lpRect | ) | `[inline]`

void EHDC::SetWorldTransform | ( | XFORM * |  | ) |

void EHDC::Transform | ( | LPPOINT | ,
|  | int |
| ) |

## Friends And Related Function Documentation

VOID CALLBACK ___auxDDAF | ( | int | ,
|  | int | ,
|  | LPARAM |
| ) | `[friend]`

## Field Documentation

POINT EHDC::myA `[protected]`

POINT EHDC::myB `[protected]`

HBRUSH EHDC::myBrush `[protected]`

HBRUSH EHDC::myBrushPush `[protected]`

POINT EHDC::myCJoin `[protected]`

POINT EHDC::myClose `[protected]`

PPOINT EHDC::myDDA1 `[protected]`

PPOINT EHDC::myDDA2 `[protected]`

DWORD EHDC::myFlags `[protected]`

BOOL EHDC::myfXpenPush `[protected]`

HDC EHDC::myHDC `[protected]`

DWORD EHDC::myIDDA `[protected]`

POINT EHDC::myJoin `[protected]`

DWORD EHDC::myNDDA `[protected]`

HBRUSH EHDC::myOBrush `[protected]`

HBRUSH EHDC::myPBrush `[protected]`

HBRUSH EHDC::myPBrushPush `[protected]`

DWORD EHDC::myPBS `[protected]`

DWORD EHDC::myPIndex `[protected]`

DWORD EHDC::myPNS `[protected]`

HPEN EHDC::myPPen `[protected]`

HPEN EHDC::myPPenPush `[protected]`

DWORD EHDC::myPRlen `[protected]`

PDWORD EHDC::myPStyle `[protected]`

DWORD EHDC::myPWidth `[protected]`

DWORD EHDC::myPWPush `[protected]`

SIZE EHDC::mySize `[protected]`

POINT EHDC::myStart `[protected]`

HBRUSH EHDC::myTextBrush `[protected]`

DWORD EHDC::myTextBS `[protected]`

HFONT EHDC::myTextFont `[protected]`

double EHDC::myTextHScale `[protected]`

DWORD EHDC::myTextNP `[protected]`

PPOINT EHDC::myTextPath `[protected]`

HPEN EHDC::myTextPen `[protected]`

double EHDC::myTextSlant `[protected]`

PBYTE EHDC::myTextType `[protected]`

double EHDC::myTextVScale `[protected]`

RECT EHDC::myURect `[protected]`

XFORM EHDC::myXform `[protected]`

The documentation for this class was generated from the following file:

- EHDC.hxx